### Interface

# St Scrollable

#### Description

    interface St.Scrollable : GObject.Object

No description available.

#### Prerequisite

In order to implement Scrollable, your type must inherit from`GObject`.

#### Implementations

- StBoxLayout
- StViewport

#### Instance methods

###### st_scrollable_get_adjustments

No description available.

###### st_scrollable_set_adjustments

This method should be implemented by classes implementing the `StScrollable` interface.

#### Properties

###### St.Scrollable:hadjustment

The horizontal `StAdjustment` used by the `StScrollable`.

###### St.Scrollable:vadjustment

The vertical `StAdjustment` used by the `StScrollable`.

#### Interface structure

    struct StScrollableInterface {
      GTypeInterface parent;
      void (* set_adjustments) (
        StScrollable* scrollable,
        StAdjustment* hadjustment,
        StAdjustment* vadjustment
      );
      void (* get_adjustments) (
        StScrollable* scrollable,
        StAdjustment** hadjustment,
        StAdjustment** vadjustment
      );

    }

No description available.

###### Interface members

`parent` |
    GTypeInterface
| No description available.
`set_adjustments` |
    void (* set_adjustments) (
        StScrollable* scrollable,
        StAdjustment* hadjustment,
        StAdjustment* vadjustment
      )
| No description available.
`get_adjustments` |
    void (* get_adjustments) (
        StScrollable* scrollable,
        StAdjustment** hadjustment,
        StAdjustment** vadjustment
      )
| No description available.

#### Virtual methods

###### St.Scrollable.get_adjustments

No description available.

###### St.Scrollable.set_adjustments

This method should be implemented by classes implementing the `StScrollable` interface.